> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Set permission override for a specific member (admin only)



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi put /v1/organizations/{id}/member-permissions/{userId}
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/organizations/{id}/member-permissions/{userId}:
    put:
      tags:
        - Organizations
      summary: Set permission override for a specific member (admin only)
      operationId: putV1OrganizationsByIdMember-permissionsByUserId
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: ID da organização
        - in: path
          name: userId
          required: true
          schema:
            type: string
          description: ID do usuário
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - resource_type
              properties:
                resource_type:
                  type: string
                  enum:
                    - automations
                    - dashboards
                    - scripts
                    - config_entries
                    - tags
                    - edges
                    - zones
                    - lock_manager
                    - lock_visitors
                    - lock_credentials
                    - lock_access_groups
                    - lock_schedules
                    - lock_appointments
                    - lock_invite_links
                    - lock_sync_log
                can_view:
                  type: boolean
                can_create:
                  type: boolean
                can_edit:
                  type: boolean
                can_delete:
                  type: boolean
                can_execute:
                  type: boolean
            example:
              resource_type: scripts
              can_view: true
              can_create: false
              can_edit: false
              can_delete: false
              can_execute: true
      responses:
        '200':
          description: Override set
          content:
            application/json:
              example:
                ok: true
        '400':
          description: Dados inválidos
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: validation error
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '403':
          description: Acesso negado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: forbidden
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````